#!/usr/bin/python
# -*- coding: UTF-8 -*-
'''
邮件发送功能开发流程已中断，无实际利用场景。
'''
 
import yaml
import smtplib
from email.mime.text import MIMEText
from email.header import Header
 
 # 加载参数
with open('./config/config.yaml', 'r', encoding="utf-8") as file:
    config = yaml.safe_load(file)
mail_host = f"{config['mail_host']}"
mail_user = f"{config['mail_user']}"
mail_pass = f"{config['mail_pass']}"
sender = f"{config['sender']}"
receivers = f"{config['receivers']}"
 
message = MIMEText('Python 邮件发送测试...', 'plain', 'utf-8')
message['From'] = Header("推送测试", 'utf-8')
message['To'] =  Header("测试", 'utf-8')
 
subject = 'Python SMTP 邮件测试'
message['Subject'] = Header(subject, 'utf-8')
 
 
try:
    smtpObj = smtplib.SMTP() 
    smtpObj.connect(mail_host, 25)    # 25 为 SMTP 端口号
    smtpObj.login(mail_user,mail_pass)  
    smtpObj.sendmail(sender, receivers, message.as_string())
    print("邮件发送成功")
except smtplib.SMTPException:
    print("Error: 无法发送邮件")